This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307312 - alsa-tools: FTBFS in rawhide
alsa-tools: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alsa-tools (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:00 EST by Fedora Release Engineering
Modified: 2016-09-28 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: alsa-tools-1.1.0-3.fc25 alsa-tools-1.1.0-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-22 03:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (166.89 KB, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
root.log (107.60 KB, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
state.log (633 bytes, text/plain)
2016-02-13 16:00 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with GCC 6 (#1307312) (1.39 KB, patch)
2016-03-16 00:33 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:00:21 EST
Your package alsa-tools failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12805862

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:00:25 EST
Created attachment 1124006 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:00:27 EST
Created attachment 1124007 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:00:28 EST
Created attachment 1124008 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-23 15:14:58 EST
channelmap.cxx:59:1: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
[snip]

Unlike x86, ARM uses signed char by default.  Either use signed char[] in the sources, or (provided no public libraries are provided) compile (at least this file) with -fsigned-char.
Comment 5 Jan Kurik 2016-02-24 09:33:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Yaakov Selkowitz 2016-03-16 00:33 EDT
Created attachment 1136840 [details]
Fix FTBFS with GCC 6 (#1307312)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13362811
Comment 7 Dominik 'Rathann' Mierzejewski 2016-07-27 03:23:33 EDT
This also means the upgrade path from F23 to F24 is broken, as alsa-tools-1.1.0-1.fc24 is older than 1.1.0-2.fc23.
Comment 8 Upstream Release Monitoring 2016-09-16 02:27:49 EDT
yselkowitz's alsa-tools-1.1.0-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=801517
Comment 9 Fedora Update System 2016-09-16 02:28:48 EDT
alsa-tools-1.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-842896e123
Comment 10 Fedora Update System 2016-09-16 02:29:14 EDT
alsa-tools-1.1.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-267e96f0fb
Comment 11 Fedora Update System 2016-09-16 20:53:27 EDT
alsa-tools-1.1.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267e96f0fb
Comment 12 Fedora Update System 2016-09-17 16:56:29 EDT
alsa-tools-1.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-842896e123
Comment 13 Fedora Update System 2016-09-22 03:32:25 EDT
alsa-tools-1.1.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-09-28 20:55:42 EDT
alsa-tools-1.1.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.